shishi_tkts_get(3)

NAME
shishi_tkts_get - API function

SYNOPSIS
#include <shishi.h>

Shishi_tkt * shishi_tkts_get(Shishi_tkts * tkts, Shishi_tkts_hint * hint);

ARGUMENTS

Shishi_tkts * tkts
    ticket set handle as allocated by shishi_tkts().

Shishi_tkts_hint * hint
    structure with characteristics of ticket to begot.

DESCRIPTION
Get a ticket matching given characteristics. This function first looks in the ticket set for the ticket, then tries to find a suitable TGT, possibly via an AS exchange, using shishi_tkts_get_tgt(), and then use that TGT in a TGS exchange to get the ticket. Currently this function do not implement cross realm logic.

RETURN VALUE
Returns a ticket if found, or NULL if this function is unable to get the ticket.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.